---
title: pydo.genai.create_evaluation_dataset()
description: Create Evaluation Dataset
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/genai/create_evaluation_dataset/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.genai.create_evaluation_dataset()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.genai.create_evaluation_dataset(
    body={
        "dataset_paradigm": "EVALUATION_DATASET_PARADIGM_SINGLE_TURN",
        "dataset_type": "EVALUATION_DATASET_TYPE_UNKNOWN",
        "file_upload_dataset": {...},
        ...,
    },
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To create an evaluation dataset, send a POST request to [`/v2/gen-ai/evaluation_datasets`](https://docs.digitalocean.com/reference/api/reference/agent-platform-api/index.html.md#genai_create_evaluation_dataset).

## Parameters

`dataset_paradigm` string optional

EvaluationDatasetParadigm is the row/content shape of a dataset, orthogonal to the
surface in EvaluationDatasetType (e.g. a model dataset can be single- or multi-turn).

One of: `EVALUATION_DATASET_PARADIGM_SINGLE_TURN`, `EVALUATION_DATASET_PARADIGM_MULTI_TURN`, `EVALUATION_DATASET_PARADIGM_CODING`, `EVALUATION_DATASET_PARADIGM_N_PLUS_1`

Default: `EVALUATION_DATASET_PARADIGM_SINGLE_TURN`

`dataset_type` string optional

One of: `EVALUATION_DATASET_TYPE_UNKNOWN`, `EVALUATION_DATASET_TYPE_ADK`, `EVALUATION_DATASET_TYPE_NON_ADK`, `EVALUATION_DATASET_TYPE_MODEL`

Default: `EVALUATION_DATASET_TYPE_UNKNOWN`

`file_upload_dataset` object optional

File to upload as data source for knowledge base.

## Show child properties

`original_file_name` string optional

Example: `example name`

The original file name

`size_in_bytes` string optional

Example: `12345`

The size of the file in bytes

`stored_object_key` string optional

Example: `example string`

The object key the file was stored as

`name` string optional

Example: `example name`

The name of the agent evaluation dataset.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "dataset_paradigm": "EVALUATION_DATASET_PARADIGM_SINGLE_TURN",
  "dataset_type": "EVALUATION_DATASET_TYPE_UNKNOWN",
  "file_upload_dataset": {
    "original_file_name": "example name",
    "size_in_bytes": "12345",
    "stored_object_key": "example string"
  },
  "name": "example name"
}

resp = client.genai.create_evaluation_dataset(body=req)
```

## Response Example

## Show Response Example

```json
{
  "evaluation_dataset_uuid": "123e4567-e89b-12d3-a456-426614174000"
}
```

## More Information

See [`/v2/gen-ai/evaluation_datasets`](https://docs.digitalocean.com/reference/api/reference/agent-platform-api/index.html.md#genai_create_evaluation_dataset) in the API reference for additional detail on responses, headers, parameters, and more.